
#Plot diet coefficients per species and for oos and wes separately

#diet_species <- read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/diet_composition_with_d15N.csv")

#diet_species <- read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/benthos_d13c_d15N_elevation_without_ulva.csv")
#diet_species <- read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/diet_coefficients_sources_species.csv")
#diet_species <- read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/diet_composition_with_d15N_with_d15N_fractionation.csv")
diet_species <- read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/diet_composition_with_d15N_fractionation_3PLFA_markers.csv")


diet_species$Genus <- as.character(diet_species$Genus)
diet_species$Elevation <- as.character(diet_species$Elevation)
#diet_species$Species <- as.character(diet_species$Species)
diet_species$Site <- as.character(diet_species$Site)
#diet_species$elevation <- as.character(diet_species$elevation)
#class(diet_species$Contribution.Ulva.sp..To.diet)

#diet_species_plot <- data.frame(cbind(rep(diet_species$Species,4),rep(diet_species$Site,4),rep(diet_species$Elevation),c(diet_species$Contribution.MPB.to.diet,
 #   diet_species$Contribution.phytoplankton.to.diet, diet_species$Contribution.Terrestrial.OM.to.diet, diet_species$Contribution.Ulva.sp..To.diet   ),c(rep("Microphytobenthos",102),rep(
  #    "Phytoplankton",102),rep("Terrestrial Organic Material",102),rep("Macroalgae",102))
   # ))

#colnames(diet_species_plot) <- c("Species","Site","Elevation","Diet_contribution","Food_source")
diet_species <- diet_species[with(diet_species,order(Site)),]

add_estuary <- data.frame(cbind(unique(diet_species$Site),c("Oosterschelde","Westerschelde","Westerschelde","Westerschelde","Westerschelde","Oosterschelde","Westerschelde",
                                                            "Oosterschelde","Westerschelde")))

colnames(add_estuary) <- c("Site","Estuary")

diet_species_plot_estuary <- merge(diet_species,add_estuary,by="Site")

colnames(diet_species_plot_estuary)[4] <- "Diet_contribution"

#class(diet_species_plot_estuary$Diet_contribution)
#diet_species_plot_estuary$Diet_contribution <- as.numeric(as.character(diet_species_plot_estuary$Diet_contribution))

diet_species_plot_estuary<- diet_species_plot_estuary[which(!is.na(diet_species_plot_estuary$Diet_contribution)),]

#plot diet composition per species per estuary - remove tharyx (too few data points) 


diet_species_plot_oos <- diet_species_plot_estuary[which(diet_species_plot_estuary$Estuary == "Oosterschelde"), ]
diet_species_plot_wes <- diet_species_plot_estuary[which(diet_species_plot_estuary$Estuary == "Westerschelde"), ]

diet_species_plot_oos <- diet_species_plot_oos[which(diet_species_plot_oos$Genus != "Tharyx"),]
diet_species_plot_oos$Diet_contribution[which(diet_species_plot_oos$Genus == "Cyathura")] <- NA
diet_species_plot_oos$Diet_contribution[which(diet_species_plot_oos$Genus == "Hediste")] <- NA

diet_species_plot_wes <- diet_species_plot_wes[which(diet_species_plot_wes$Genus != "Tharyx"),]
diet_species_plot_wes <- diet_species_plot_wes[which(diet_species_plot_wes$Genus != "Spionidae"),]

#names_change <- data.frame(cbind(c("Macoma balthica","Cerastoderma edule","Bathyporeia sp.","Spionidae","Peringia sp.","Cyathura carinata","Hediste diversicolor",
 #                                  "Arenicola marina","Heteromastus sp.","Corophium sp."),c("Macoma","Cerastoderma","Bathyporeia","Spionidae",
  #                               "Peringia","Cyathura","Hediste","Arenicola","Heteromastus","Corophium")))
   #     colnames(names_change) <- c("Species","Genus")
                                                                                                   

#diet_species_plot_wes_genus <- merge(names_change,diet_species_plot_wes,by="Species")
#diet_species_plot_oos_genus <- merge(names_change,diet_species_plot_oos,by="Species")

diet_species_plot_wes <-  diet_species_plot_wes[with(diet_species_plot_wes, order(Genus)), ]

diet_species_plot_wes$Source <- gsub(".Phytoplankton","Phytoplankton",diet_species_plot_wes$Source)
diet_species_plot_wes$Source <- gsub(".Terrestrial_material","Terrestrial_material",diet_species_plot_wes$Source)
diet_species_plot_wes$Source <- gsub(".Benthic_algae","Benthic_algae",diet_species_plot_wes$Source)

#CALCULATE STATS ############################################################
#mean all species
#benthic algae
mean(diet_species_plot_oos$Diet_contribution[which(diet_species_plot_oos$Source == "Benthic_algae")],na.rm=TRUE)
sd(diet_species_plot_oos$Diet_contribution[which(diet_species_plot_oos$Source == "Benthic_algae")],na.rm=TRUE)

mean(diet_species_plot_wes$Diet_contribution[which(diet_species_plot_wes$Source == "Benthic_algae")],na.rm=TRUE)
sd(diet_species_plot_wes$Diet_contribution[which(diet_species_plot_wes$Source == "Benthic_algae")],na.rm=TRUE)

#phytoplankton
mean(diet_species_plot_oos$Diet_contribution[which(diet_species_plot_oos$Source == "Phytoplankton")],na.rm=TRUE)
sd(diet_species_plot_oos$Diet_contribution[which(diet_species_plot_oos$Source == "Phytoplankton")],na.rm=TRUE)

mean(diet_species_plot_wes$Diet_contribution[which(diet_species_plot_wes$Source == "Phytoplankton")],na.rm=TRUE)
sd(diet_species_plot_wes$Diet_contribution[which(diet_species_plot_wes$Source == "Phytoplankton")],na.rm=TRUE)

#terrestrial
mean(diet_species_plot_wes$Diet_contribution[which(diet_species_plot_wes$Source == "Terrestrial_material")],na.rm=TRUE)
sd(diet_species_plot_wes$Diet_contribution[which(diet_species_plot_wes$Source == "Terrestrial_material")],na.rm=TRUE)


####
#cerastoderma
mean(diet_species_plot_oos$Diet_contribution[which(diet_species_plot_oos$Source == "Benthic_algae" & diet_species_plot_oos$Genus == "Cerastoderma")],na.rm=TRUE)
sd(diet_species_plot_oos$Diet_contribution[which(diet_species_plot_oos$Source == "Benthic_algae" & diet_species_plot_oos$Genus == "Cerastoderma")],na.rm=TRUE)

mean(diet_species_plot_wes$Diet_contribution[which(diet_species_plot_wes$Source == "Benthic_algae" & diet_species_plot_wes$Genus == "Cerastoderma")],na.rm=TRUE)
sd(diet_species_plot_wes$Diet_contribution[which(diet_species_plot_wes$Source == "Benthic_algae" & diet_species_plot_wes$Genus == "Cerastoderma")],na.rm=TRUE)

#macoma
mean(diet_species_plot_oos$Diet_contribution[which(diet_species_plot_oos$Source == "Benthic_algae" & diet_species_plot_oos$Genus == "Macoma")],na.rm=TRUE)
sd(diet_species_plot_oos$Diet_contribution[which(diet_species_plot_oos$Source == "Benthic_algae" & diet_species_plot_oos$Genus == "Macoma")],na.rm=TRUE)

mean(diet_species_plot_wes$Diet_contribution[which(diet_species_plot_wes$Source == "Benthic_algae" & diet_species_plot_wes$Genus == "Macoma")],na.rm=TRUE)
sd(diet_species_plot_wes$Diet_contribution[which(diet_species_plot_wes$Source == "Benthic_algae" & diet_species_plot_wes$Genus == "Macoma")],na.rm=TRUE)

#hediste
mean(diet_species_plot_oos$Diet_contribution[which(diet_species_plot_oos$Source == "Benthic_algae" & diet_species_plot_oos$Genus == "Hediste")],na.rm=TRUE)
sd(diet_species_plot_oos$Diet_contribution[which(diet_species_plot_oos$Source == "Benthic_algae" & diet_species_plot_oos$Genus == "Hediste")],na.rm=TRUE)

mean(diet_species_plot_wes$Diet_contribution[which(diet_species_plot_wes$Source == "Benthic_algae" & diet_species_plot_wes$Genus == "Hediste")],na.rm=TRUE)
sd(diet_species_plot_wes$Diet_contribution[which(diet_species_plot_wes$Source == "Benthic_algae" & diet_species_plot_wes$Genus == "Hediste")],na.rm=TRUE)


#SDF



##############################################################################

#omnivorous

#order: [cerastoderma macoma bathyporeia corophium cyathura peringia arenicola heteromastus hediste ]  

diet_species_plot_wes$Genus <- factor(diet_species_plot_wes$Genus ,
                       levels = c("Cerastoderma","Macoma","Bathyporeia","Corophium","Cyathura","Peringia","Arenicola","Heteromastus","Hediste"),ordered = TRUE)

diet_species_plot_oos$Genus <- factor(diet_species_plot_oos$Genus ,
                                      levels = c("Cerastoderma","Macoma","Bathyporeia","Corophium","Cyathura","Peringia","Arenicola","Heteromastus","Hediste"),ordered = TRUE)

#oos
require(ggplot2)
require(gridExtra)
require(cowplot)
require(grid)


grob_sus <- grobTree(textGrob("SF", x=0.065,  y=0.92,
                              gp=gpar(col="black", fontsize=7)))

grob_dep <- grobTree(textGrob("DF", x=0.77,  y=0.92,
                              gp=gpar(col="black", fontsize=7)))

grob_surfdep <- grobTree(textGrob("SDF", x=0.42,  y=0.92,
                                  gp=gpar(col="black", fontsize=7)))

grob_omn <- grobTree(textGrob("O", x=0.94,  y=0.92,
                           gp=gpar(col="black", fontsize=7)))

grob_fac_oos <-  grobTree(textGrob("SF/SDF", x=0.175,  y=0.5,
                               gp=gpar(col="black", fontsize=7)))

grob_fac_wes <-  grobTree(textGrob("SF/SDF", x=0.175,  y=0.92,
                                   gp=gpar(col="black", fontsize=7)))


#diet_species_plot_oos <- diet_species_plot_oos[-75,]
plot_WES<- ggplot(aes(y = Diet_contribution, x = Genus, fill = Source), data = diet_species_plot_wes) + geom_boxplot(position=position_dodge(width=0.9),outlier.size=0.7) +scale_fill_manual(values=c("gray100","gray80","gray54"),labels=c("MPB","Phyt","Ter OM"))

plot_WES_title <- plot_WES 
plot_WES_title<- plot_WES+theme(axis.text=element_text(size=8,face="bold"),plot.title = element_text(size = 11, face = "bold"),
                                axis.title.y=element_text(size=10,face="bold"))+theme(legend.text=element_text(size=11))+theme(legend.title=element_text(size=11,face="bold"))+ ggtitle("Westerschelde")+
geom_vline(xintercept = c(1.5,2.5,6.5,8.5), linetype="dotted", color = "gray48", size=0.8)+
  theme(axis.text.x=element_text(face='italic'))+
  annotation_custom(grob_sus) + 
  annotation_custom(grob_dep) + 
  annotation_custom(grob_surfdep) + 
  annotation_custom(grob_omn) + 
  annotation_custom(grob_fac_wes) +
  theme(plot.margin=unit(c(0,0,0,0),"cm"))+xlab("") + ylab(expression(paste("Contribution to diet")))+
    theme(axis.text.x = element_text(angle = 60, hjust = 1))


#######width plot until end of hekjes
plot_EAS <- ggplot(aes(y = Diet_contribution, x = Genus, fill = Source), data = diet_species_plot_oos) +geom_boxplot(position=position_dodge(width=0.9),outlier.size=0.7) +scale_fill_manual(values=c("gray100","gray80"),limits=c("Benthic_algae","Phytoplankton"),labels=c("MPB","Phyt"))+
  
                                                                                                                                                 
   ylab(expression(paste("Contribution to diet"))) +xlab("")

plot_EAS_title <- plot_EAS + ggtitle("Oosterschelde")
plot_EAS_title <- plot_EAS+theme(axis.text=element_text(size=8,face="bold"),plot.title = element_text(size = 11, face = "bold"),
                                 axis.title.y=element_text(size=10,face="bold"))+theme(legend.text=element_text(size=11))+theme(legend.title=element_text(size=11,face="bold"))+ ggtitle("Oosterschelde")+
geom_vline(xintercept = c(1.5,2.5,6.5,8.5), linetype="dotted", color = "gray48", size=0.8)+
   theme(axis.text.x=element_text(face='italic'))+
annotation_custom(grob_sus) + 
  annotation_custom(grob_dep) + 
  annotation_custom(grob_surfdep) + 
  annotation_custom(grob_omn) + 
  annotation_custom(grob_fac_oos) +
  theme(plot.margin=unit(c(0,0,0,0),"cm"))+xlab("")+ ylab(expression(paste("Contribution to diet")))+
   theme(axis.text.x = element_text(angle = 60, hjust = 1))
#---------------------------------
plot1 <-plot_EAS_title
plot2 <- plot_WES_title

tiff("//zeus/eds/users/tisjad/Grazing_campaign_2015/Figures/Figures_L&O/fig6_diet_contribution.tiff", width = 5, height = 4, units = 'in', res = 300)

plot_grid(plot1, plot2, align = "v", nrow = 2)

dev.off()

diet_species_plot_estuary$Source <- gsub(".Phytoplankton","Phytoplankton",diet_species_plot_estuary$Source)
diet_species_plot_estuary$Source <- gsub(".Terrestrial_material","Terrestrial_material",diet_species_plot_estuary$Source)
diet_species_plot_estuary$Source <- gsub(".Benthic_algae","Benthic_algae",diet_species_plot_estuary$Source)


diet_species_plot_estuary_no_ter <- diet_species_plot_estuary[diet_species_plot_estuary$Source != "Terrestrial_material",]

diet_species_plot_estuary_no_ter$Source <- gsub("Benthic_algae","Benthic algae",diet_species_plot_estuary_no_ter$Source)


ggplot(aes(y = Diet_contribution, x = Source, fill = Estuary), data = diet_species_plot_estuary_no_ter) + geom_boxplot() +scale_fill_manual(values=c("grey","mediumseagreen"),limits=c("Oosterschelde","Westerschelde"))+
 xlab("Food source") +
  ylab("Contribution to diet")

diet_species_plot_estuary_mpb <- diet_species_plot_estuary_no_ter[diet_species_plot_estuary_no_ter$Source == "Benthic_algae",]

diet_species_plot_estuary_mpb <- diet_species_plot_estuary_mpb[diet_species_plot_estuary_mpb$Genus != "Spionidae",]
diet_species_plot_estuary_mpb <- diet_species_plot_estuary_mpb[diet_species_plot_estuary_mpb$Genus != "Tharyx",]
diet_species_plot_estuary_mpb <- diet_species_plot_estuary_mpb[diet_species_plot_estuary_mpb$Genus != "Cyathura",]

diet_species_plot_estuary_mpb_OOS <- diet_species_plot_estuary_mpb[diet_species_plot_estuary_mpb$Estuary == "Oosterschelde",]
diet_species_plot_estuary_mpb_WES <- diet_species_plot_estuary_mpb[diet_species_plot_estuary_mpb$Estuary == "Westerschelde",]


mean(diet_species_plot_estuary_mpb_OOS$Diet_contribution[diet_species_plot_estuary_mpb_OOS$Genus == "Cerastoderma"])
sd(diet_species_plot_estuary_mpb_OOS$Diet_contribution[diet_species_plot_estuary_mpb_OOS$Genus == "Cerastoderma"])

mean(diet_species_plot_estuary_mpb_WES$Diet_contribution[diet_species_plot_estuary_mpb_WES$Genus == "Cerastoderma"])
sd(diet_species_plot_estuary_mpb_WES$Diet_contribution[diet_species_plot_estuary_mpb_WES$Genus == "Cerastoderma"])

diet_species_plot_estuary_mpb$Genus <- gsub("Mediomastus","Heteromastus",diet_species_plot_estuary_mpb$Genus)

ggplot(aes(y = Diet_contribution, x = Genus, fill = Estuary), data = diet_species_plot_estuary_mpb) + geom_boxplot() +scale_fill_manual(values=c("grey","mediumseagreen"),limits=c("Oosterschelde","Westerschelde"))
+ xlab("Genus") +
  ylab("Contribution of MPB to diet")

wilcox.test(diet_species_plot_estuary_mpb$Diet_contribution[diet_species_plot_estuary_mpb$Estuary == "Westerschelde"],
            diet_species_plot_estuary_mpb$Diet_contribution[diet_species_plot_estuary_mpb$Estuary == "Oosterschelde"])


#PLOT DIETARY CONTRIBUTION OF PHYTOPLANKTON TO SPECIES

diet_species_plot_estuary_PHYT <- diet_species_plot_estuary[diet_species_plot_estuary$Source == "Phytoplankton",]

diet_species_plot_estuary_PHYT_oos <- diet_species_plot_estuary_PHYT[diet_species_plot_estuary_PHYT$Estuary == "Oosterschelde",]
diet_species_plot_estuary_PHYT_wes <- diet_species_plot_estuary_PHYT[diet_species_plot_estuary_PHYT$Estuary == "Westerschelde",]

mean(diet_species_plot_estuary_PHYT_oos$Diet_contribution)
sd(diet_species_plot_estuary_PHYT_oos$Diet_contribution)

mean(diet_species_plot_estuary_PHYT_wes$Diet_contribution)
sd(diet_species_plot_estuary_PHYT_wes$Diet_contribution)

diet_species_plot_estuary_PHYT <- diet_species_plot_estuary_PHYT[diet_species_plot_estuary_PHYT$Genus != "Tharyx",]
diet_species_plot_estuary_PHYT <- diet_species_plot_estuary_PHYT[diet_species_plot_estuary_PHYT$Genus != "Cyathura",]
diet_species_plot_estuary_PHYT <- diet_species_plot_estuary_PHYT[diet_species_plot_estuary_PHYT$Genus != "Spionidae",]


ggplot(aes(y = Diet_contribution, x = Genus, fill = Estuary), data = diet_species_plot_estuary_PHYT) + geom_boxplot() +scale_fill_manual(values=c("grey","mediumseagreen"),limits=c("Oosterschelde","Westerschelde"))
+ xlab("Genus") +
  ylab("Contribution of phytoplankton to diet")

diet_species_plot_estuary_ter <- diet_species_plot_estuary[diet_species_plot_estuary$Source == "Terrestrial_material",]

mean(diet_species_plot_estuary_ter$Diet_contribution)
sd(diet_species_plot_estuary_ter$Diet_contribution)

diet_cerastoderma <- diet_species_plot_oos_genus[diet_species_plot_oos_genus$Genus == "Cerastoderma",]

diet_cerastoderma_phyt <- diet_cerastoderma[diet_cerastoderma$Food_source == "Phytoplankton",]

mean(diet_cerastoderma_phyt$Diet_contribution)
sd(diet_cerastoderma_phyt$Diet_contribution)

diet_allexcept_cerastoderma <- diet_species_plot_oos_genus[diet_species_plot_oos_genus$Genus != "Cerastoderma",]

diet_allexcept_cerastoderma_phyt <- diet_allexcept_cerastoderma[diet_allexcept_cerastoderma$Food_source == "Phytoplankton",]

mean(diet_allexcept_cerastoderma_phyt$Diet_contribution)
sd(diet_allexcept_cerastoderma_phyt$Diet_contribution)

diet_allexcept_cerastoderma_mac <- diet_allexcept_cerastoderma[diet_allexcept_cerastoderma$Food_source == "Macroalgae",]

mean(diet_allexcept_cerastoderma_phyt$Diet_contribution)
sd(diet_allexcept_cerastoderma_phyt$Diet_contribution)


diet_allexcept_cerastoderma <- diet_species_plot_oos_genus[diet_species_plot_oos_genus$Genus != "Cerastoderma",]

diet_allexcept_cerastoderma_mpb <- diet_allexcept_cerastoderma[diet_allexcept_cerastoderma$Food_source == "Microphytobenthos",]

mean(diet_allexcept_cerastoderma_phyt$Diet_contribution)
sd(diet_allexcept_cerastoderma_phyt$Diet_contribution)


diet_microphytobenthos <- diet_species_plot_oos_genus[diet_species_plot_oos_genus$Food_source == "Microphytobenthos",]

mean(diet_microphytobenthos$Diet_contribution)
sd(diet_microphytobenthos$Diet_contribution)
min(diet_microphytobenthos$Diet_contribution)
max(diet_microphytobenthos$Diet_contribution)

diet_species_plot_estuary_MPB <- diet_species_plot_wes_genus[diet_species_plot_wes_genus$Food_source == "Microphytobenthos",]
mean(diet_species_plot_estuary_MPB$Diet_contribution)
sd(diet_species_plot_estuary_MPB$Diet_contribution)

diet_species_plot_estuary_phyt <- diet_species_plot_wes_genus[diet_species_plot_wes_genus$Food_source == "Phytoplankton",]
mean(diet_species_plot_estuary_phyt$Diet_contribution)
sd(diet_species_plot_estuary_phyt$Diet_contribution)

diet_species_plot_estuary_ter <- diet_species_plot_wes_genus[diet_species_plot_wes_genus$Food_source == "Terrestrial Organic Material",]
mean(diet_species_plot_estuary_ter$Diet_contribution)
sd(diet_species_plot_estuary_ter$Diet_contribution)


diet_arenicola <- diet_species_plot_estuary_MPB[diet_species_plot_estuary_MPB$Genus == "Heteromastus",]

mean(diet_arenicola$Diet_contribution)
sd(diet_arenicola$Diet_contribution)


#remove tharyx, heteromastus and cyathura
diet_species_plot_estuary_MPB <- diet_species_plot_estuary_MPB[diet_species_plot_estuary_MPB$Species != "Tharyx marioni",]
diet_species_plot_estuary_MPB <- diet_species_plot_estuary_MPB[diet_species_plot_estuary_MPB$Species != "Spionidae",]
diet_species_plot_estuary_MPB <- diet_species_plot_estuary_MPB[diet_species_plot_estuary_MPB$Species != "Cyathura carinata",]
diet_species_plot_estuary_MPB <- diet_species_plot_estuary_MPB[diet_species_plot_estuary_MPB$Species != "Heteromastus sp.",]


ggplot(aes(y = Diet_contribution, x = Species, fill = Estuary), data = diet_species_plot_estuary_MPB) + geom_boxplot() +
  xlab("Food source") +
  ylab(expression(paste("Contribution to diet"))) 

diet_species_plot_estuary_test <- diet_species_plot_estuary[diet_species_plot_estuary$Food_source != "Macroalgae",]
diet_species_plot_estuary_test <- diet_species_plot_estuary_test[diet_species_plot_estuary_test$Food_source != "Terrestrial Organic Material",]

ggplot(aes(y = Diet_contribution, x = Food_source, fill = Estuary), data = diet_species_plot_estuary_test) + geom_boxplot() +
  xlab("Food source") +
  ylab(expression(paste("Contribution to diet"))) 



shapiro.test(diet_species_plot_estuary_MPB$Diet_contribution)

hist(diet_species_plot_estuary_MPB$Diet_contribution)

wilcox.test(diet_species_plot_estuary_MPB$Diet_contribution[diet_species_plot_estuary_MPB$Estuary == "Westerschelde"],
            diet_species_plot_estuary_MPB$Diet_contribution[diet_species_plot_estuary_MPB$Estuary == "Oosterschelde"])













































