
bulksed <- read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Sediment_samples/Bulk_d13C/results_bulksed_isotopes_for_R.csv")

bulksed$site <- substr(bulksed$Customer.Code,1,2)
bulksed$estuary <- c(rep("WES",18),rep("OOS",6),rep("WES",6),rep("OOS",12),rep("WES",12))

boxplot(SISON..o.oo.15N. ~ estuary,bulksed)

data_oos <- bulksed[bulksed$estuary == "OOS",]
data_wes <- bulksed[bulksed$estuary == "WES",]

median(data_oos$SISON..o.oo.15N.)
median(data_wes$SISON..o.oo.15N.)

mean(data_oos$SISON..o.oo.15N.)
mean(data_wes$SISON..o.oo.15N.)

sd(data_oos$SISON..o.oo.15N.)
sd(data_wes$SISON..o.oo.15N.)