require(MixSIAR)

#Dortsman
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_with_sampled_macroalgae/dortsman_high")

#high
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/benthos_dortsman_hoog.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/sourcesd13C_dortsman_hoog.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/discrimination_oosterschelde_incl_ulva.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)

setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_with_sampled_macroalgae/dortsman_low")

#low
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/benthos_dortsman_laag.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/sourcesd13C_dortsman_laag.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/discrimination_oosterschelde_incl_ulva.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)

#Rattekaai
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_with_sampled_macroalgae/rattenkaai_high")
#high
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/benthos_rattekaai_hoog.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/sourcesd13C_rattekaai_hoog.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/discrimination_oosterschelde_incl_ulva.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)

setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_with_sampled_macroalgae/rattenkaai_low")

#low
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/benthos_rattekaai_laag.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/sourcesd13C_rattekaai_laag.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/discrimination_oosterschelde_incl_ulva.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)

#Viane
setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_with_sampled_macroalgae/viane_high")
#high
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/benthos_viane_hoog.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/sourcesd13C_viane_hoog.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/discrimination_oosterschelde_incl_ulva.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)

setwd("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/R_scripts/mixsiar_directory/output_highlow_d13C_d15N_with_sampled_macroalgae/viane_low")

#low
benthos <- load_mix_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/benthos_viane_laag.csv",iso_names=c("d13C","d15N"),factors="Group",
                         fac_random=FALSE,fac_nested=FALSE,cont_effects=NULL)

algae <- load_source_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/sourcesd13C_viane_laag.csv",source_factors = NULL,conc_dep = FALSE,data_type="means",benthos)

discrimination <- load_discr_data(filename="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/oosterschelde_with_sampled_macroalgae/discrimination_oosterschelde_incl_ulva.csv",benthos)

model_filename <- "MixSIAR_model.txt"
resid_err <- TRUE
process_err <- FALSE
write_JAGS_model(model_filename,resid_err,process_err,benthos,algae)

jags.1 <- run_model(run="very long",benthos,algae,discrimination,model_filename,alpha.prior=1,resid_err,process_err)

output_JAGS(jags.1,benthos,algae)

