#Get grazing pressure on different food sources per site: of total community and per  species: 
#make separate graphs for oosterschelde and westerschelde

#calculate grazing pressure phytoplankton, macroalgae and terrestrial organic matter
#per site

#checken hoe gemiddelde graasdruk per site is uitgerekend in productie-graasdruk plots. van diet in hoge en lage plots kun je niet zomaar het gemiddelde nemen
# nee dus voor deze plot, de MPB diet coefficient gebruiken met coefficienten per site per elevation


#grazing pressure fytoplankton

      
      
  #diet coefficient phytoplankton
     
diet_coef_sources <-  read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/diet_composition_with_d15N_fractionation_3PLFA_markers_incl_SD.csv")


      diet_coef_sources$Genus <- gsub("Mediomastus", "Heteromastus", diet_coef_sources$Genus)
      
      diet_coef_sources$sites <- toupper(substr(diet_coef_sources$Site,1,2))
      
      diet_coef_sources$Source <- gsub(".Phytoplankton", "Phytoplankton", diet_coef_sources$Source)
      
      #diet_coef_sources <- diet_coef_sources[,c(2,3,12,13,14,15)]
      
      diet_coef_phyt <- diet_coef_sources[diet_coef_sources$Source == "Phytoplankton",]
      
      #colnames(diet_coef_phyt)[2] <- "Diet_coef_phyt"
      colnames(diet_coef_phyt)[3] <- "Diet_coef_phyt"
      
      diet_coef_phyt$genus_site_elev <- paste(diet_coef_phyt$Genus,diet_coef_phyt$sites,diet_coef_phyt$Elevation)
      
      #add family and ordo to diet coefficient dataset
        
        benthos_stations_incl_family <- read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Benthos/benthos_data_plots2015_historic_complete.csv",sep=",")
      
        benthos_stations_incl_family$genus <- as.character(benthos_stations_incl_family$genus)
        benthos_stations_incl_family$family <- as.character(benthos_stations_incl_family$family)
        benthos_stations_incl_family$ordo <- as.character(benthos_stations_incl_family$ordo)
        
        diet_coef_phyt$family <- NA
        diet_coef_phyt$ordo <- NA
        
        for (e in 1:length(diet_coef_phyt$Genus)){
          
          diet_coef_phyt$family[e] <- benthos_stations_incl_family$family[which(benthos_stations_incl_family$genus %in% diet_coef_phyt$Genus[e])[1]]
          diet_coef_phyt$ordo[e] <- benthos_stations_incl_family$ordo[which(benthos_stations_incl_family$genus %in% diet_coef_phyt$Genus[e])[1]]
          
          if (diet_coef_phyt$Genus[e] == "Spionidae"){
            diet_coef_phyt$family[e] <- "Spionidae"
            diet_coef_phyt$ordo[e] <- "Spionida"
            
          }
          
          else if (diet_coef_phyt$Genus[e] == "Tharyx"){
            diet_coef_phyt$family[e] <- "Cirratulidae"
            diet_coef_phyt$ordo[e] <- "Terebellida"
            
          }
          
        }#ignore warning
        
        #diet_coef_phyt <- diet_coef_phyt[,c(2,4,5,6,7,8,9)]
        
       
    #macrofauna data      
      
      load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_plots_najaar_easwes_sep_coef.RData")
      
      #make variable to merge data with diet coefficient data
      benthos_grazing_diet_no_na$sites <- toupper(substr(benthos_grazing_diet_no_na$Site,1,2))
      benthos_grazing_diet_no_na$elevation <- NA
      benthos_grazing_diet_no_na$elevation[benthos_grazing_diet_no_na$RASTERVALU > 0] <- "High"
      benthos_grazing_diet_no_na$elevation[benthos_grazing_diet_no_na$RASTERVALU <= 0] <- "Low"
      
        benthos_grazing_diet_no_na$genus_site_elev <- paste(benthos_grazing_diet_no_na$genus,benthos_grazing_diet_no_na$sites,benthos_grazing_diet_no_na$elevation)
      
   boxplot(mean_body_weight ~ Genus,benthos_grazing_diet_no_na,ylab=expression(paste("Mean body weight (mg AFDW ind"^"-1",")")))
        
      #merge diet coefficients and macrofauna data
      alldata_grazing_phyt <- merge(diet_coef_phyt,benthos_grazing_diet_no_na,by="genus_site_elev", all.y=TRUE)
      
      #to the unknown values we add an average value per species. for missing species we add a value from the same family or ordo. otherwise the median of the dataset
     #voor bathyporeia, cyathura en corophium een gemiddelde per estuarium toepassen (phyt)
       require(plyr)
      
      alldata_grazing_phyt_no_na <- alldata_grazing_phyt[!is.na(alldata_grazing_phyt$Diet_coef_phyt),]
    
     
    site_estuary <- data.frame(cbind(c("VI","RA","DO","HE","MI","MO","PA","WA","RI"),c("OOS","OOS","OOS","WES","WES","WES","WES","WES","WES")))
    colnames(site_estuary)[1] <- "sites"
    colnames(site_estuary)[2] <- "estuary"
    
    diet_coef_phyt_es <- merge(diet_coef_phyt,site_estuary,by="sites")
    diet_coef_phyt_oos <- diet_coef_phyt_es[diet_coef_phyt_es$estuary == "OOS",]
    diet_coef_phyt_wes <- diet_coef_phyt_es[diet_coef_phyt_es$estuary == "WES",]
    
    
    #Add phyt coefficient
    
    benthos_grazing_diet <- alldata_grazing_phyt
    
    benthos_grazing_diet_oos <- benthos_grazing_diet[benthos_grazing_diet$estuary == "OOS",]
    benthos_grazing_diet_wes <- benthos_grazing_diet[benthos_grazing_diet$estuary == "WES",]
    
    phyt_diet_genus <- ddply(diet_coef_phyt_es,~Genus,summarise,mean=median(Diet_coef_phyt),sd=sd(Diet_coef_phyt))
    phyt_diet_family <- ddply(diet_coef_phyt_es,~family,summarise,mean=median(Diet_coef_phyt),sd=sd(Diet_coef_phyt))
    phyt_diet_ordo <- ddply(diet_coef_phyt_es,~ordo,summarise,mean=median(Diet_coef_phyt),sd=sd(Diet_coef_phyt))
    
    diet_coef_phyt_oos <- diet_coef_phyt_es[diet_coef_phyt_es$estuary == "OOS",]
    diet_coef_phyt_wes <- diet_coef_phyt_es[diet_coef_phyt_es$estuary == "WES",]
    
    phyt_diet_genus_oos <- phyt_diet_genus
    phyt_diet_family_oos <- phyt_diet_family
    phyt_diet_ordo_oos <- phyt_diet_ordo
    
    phyt_diet_genus_wes <- phyt_diet_genus
    phyt_diet_family_wes <- phyt_diet_family
    phyt_diet_ordo_wes <- phyt_diet_ordo
    
    #voor arenicola en corophium een gemiddelde per estuarium toepassen (phyt)
    #genus
   # phyt_diet_genus_oos$mean[phyt_diet_genus_oos$genus == "Bathyporeia"] <- median(diet_coef_phyt_oos$Diet_coef_phyt[diet_coef_phyt_oos$Genus == "Bathyporeia"],na.rm=TRUE)
    phyt_diet_genus_oos$mean[phyt_diet_genus_oos$genus == "Arenicola"] <- median(diet_coef_phyt_oos$Diet_coef_phyt[diet_coef_phyt_oos$Genus == "Arenicola"],na.rm=TRUE)
    phyt_diet_genus_oos$mean[phyt_diet_genus_oos$genus == "Corophium"] <- median(diet_coef_phyt_oos$Diet_coef_phyt[diet_coef_phyt_oos$Genus == "Corophium"],na.rm=TRUE)
    
    #phyt_diet_genus_wes$mean[phyt_diet_genus_wes$genus == "Bathyporeia"] <- median(diet_coef_phyt_wes$Diet_coef_phyt[diet_coef_phyt_wes$Genus == "Bathyporeia"],na.rm=TRUE)
    phyt_diet_genus_wes$mean[phyt_diet_genus_wes$genus == "Arenicola"] <- median(diet_coef_phyt_wes$Diet_coef_phyt[diet_coef_phyt_wes$Genus == "Arenicola"],na.rm=TRUE)
    phyt_diet_genus_wes$mean[phyt_diet_genus_wes$genus == "Corophium"] <- median(diet_coef_phyt_wes$Diet_coef_phyt[diet_coef_phyt_wes$Genus == "Corophium"],na.rm=TRUE)
    
    #family
    #phyt_diet_family_oos$mean[phyt_diet_family_oos$family == "Bathyporeiidae"] <- median(diet_coef_phyt_oos$Diet_coef_phyt[diet_coef_phyt_oos$family == "Pontoporeiidae"],na.rm=TRUE)
    phyt_diet_family_oos$mean[phyt_diet_family_oos$family == "Arenicolidae"] <- median(diet_coef_phyt_oos$Diet_coef_phyt[diet_coef_phyt_oos$family == "Arenicolidae"],na.rm=TRUE)
    phyt_diet_family_oos$mean[phyt_diet_family_oos$family == "Corophiidae"] <- median(diet_coef_phyt_oos$Diet_coef_phyt[diet_coef_phyt_oos$family == "Corophiidae"],na.rm=TRUE)
    
    #phyt_diet_family_wes$mean[phyt_diet_family_wes$family == "Bathyporeiidae"] <- median(diet_coef_phyt_wes$Diet_coef_phyt[diet_coef_phyt_wes$family == "Pontoporeiidae"],na.rm=TRUE)
    phyt_diet_family_wes$mean[phyt_diet_family_wes$family == "Arenicolidae"] <- median(diet_coef_phyt_wes$Diet_coef_phyt[diet_coef_phyt_wes$family == "Arenicolidae"],na.rm=TRUE)
    phyt_diet_family_wes$mean[phyt_diet_family_wes$family == "Corophiidae"] <- median(diet_coef_phyt_wes$Diet_coef_phyt[diet_coef_phyt_wes$family == "Corophiidae"],na.rm=TRUE)
    
    #ordo
   # phyt_diet_ordo_oos$mean[phyt_diet_ordo_oos$ordo == "Amphipoda"] <- median(diet_coef_phyt_oos$Diet_coef_phyt[diet_coef_phyt_oos$ordo == "Amphipoda"],na.rm=TRUE)
    phyt_diet_ordo_oos$mean[phyt_diet_ordo_oos$ordo == "Capitellidae"] <- median(diet_coef_phyt_oos$Diet_coef_phyt[diet_coef_phyt_oos$ordo == "Capitellidae"],na.rm=TRUE)
    phyt_diet_ordo_oos$mean[phyt_diet_ordo_oos$ordo == "Amphipoda"] <- median(diet_coef_phyt_oos$Diet_coef_phyt[diet_coef_phyt_oos$ordo == "Amphipoda"],na.rm=TRUE)
    
    #phyt_diet_ordo_wes$mean[phyt_diet_ordo_wes$ordo == "Amphipoda"] <- median(diet_coef_phyt_wes$Diet_coef_phyt[diet_coef_phyt_wes$ordo == "Amphipoda"],na.rm=TRUE)
    phyt_diet_ordo_wes$mean[phyt_diet_ordo_wes$ordo == "Capitellidae"] <- median(diet_coef_phyt_wes$Diet_coef_phyt[diet_coef_phyt_wes$ordo == "Capitellidae"],na.rm=TRUE)
    phyt_diet_ordo_wes$mean[phyt_diet_ordo_wes$ordo == "Amphipoda"] <- median(diet_coef_phyt_wes$Diet_coef_phyt[diet_coef_phyt_wes$ordo == "Amphipoda"],na.rm=TRUE)
    
    
    #OOS
    
    phyt_diet_ordo_oos <- phyt_diet_ordo_oos[!is.na(phyt_diet_ordo_oos$ordo),]
    phyt_diet_family_oos <- phyt_diet_family_oos[!is.na(phyt_diet_family_oos$family),]
    phyt_diet_genus_oos <- phyt_diet_genus_oos[!is.na(phyt_diet_genus_oos$Genus),]
    
    
    for (k in 1:length(benthos_grazing_diet_oos$Diet_coef_phyt)){
      
      
      if (is.na(benthos_grazing_diet_oos$Diet_coef_phyt[k])){
        
        if (benthos_grazing_diet_oos$genus[k] %in% phyt_diet_genus_oos$Genus){
          
          benthos_grazing_diet_oos$Diet_coef_phyt[k] <- median(phyt_diet_genus_oos$mean[which(phyt_diet_genus_oos$Genus %in% benthos_grazing_diet_oos$genus[k])])
        }
        
        else if (benthos_grazing_diet_oos$family.y[k] %in% phyt_diet_family_oos$family){
          
          benthos_grazing_diet_oos$Diet_coef_phyt[k] <- median(phyt_diet_family_oos$mean[which(phyt_diet_family_oos$family %in% benthos_grazing_diet_oos$family.y[k])])
          #benthos_grazing_diet_oos$Diet_coef_MPB[k] <- NA
        }
        
        else if (benthos_grazing_diet_oos$ordo.y[k] %in% phyt_diet_ordo_oos$ordo){
          
          benthos_grazing_diet_oos$Diet_coef_phyt[k] <- median(phyt_diet_ordo_oos$mean[which(phyt_diet_ordo_oos$ordo %in% benthos_grazing_diet_oos$ordo.y[k])])
          #benthos_grazing_diet_oos$Diet_coef_MPB[k] <- NA
          
        }
        
        else if (benthos_grazing_diet_oos$genus[k] %in% phyt_diet_ordo_oos$ordo){
          
          benthos_grazing_diet_oos$Diet_coef_phyt[k] <- median(phyt_diet_ordo_oos$mean[which(phyt_diet_ordo_oos$ordo %in% benthos_grazing_diet_oos$genus[k])])
          #benthos_grazing_diet_oos$Diet_coef_MPB[k] <- NA
          
        }
        else if (benthos_grazing_diet_oos$genus[k] %in% phyt_diet_family_oos$family){
          
          benthos_grazing_diet_oos$Diet_coef_phyt[k] <- median(phyt_diet_family_oos$mean[which(phyt_diet_family_oos$ordo %in% benthos_grazing_diet_oos$genus[k])])
          #benthos_grazing_diet_oos$Diet_coef_MPB[k] <- NA
          
        }
      }
    }
    
    
    
    
    #WES
    
    for (k in 1:length(benthos_grazing_diet_wes$Diet_coef_phyt)){
      
      
      if (is.na(benthos_grazing_diet_wes$Diet_coef_phyt[k])){
        
        if (benthos_grazing_diet_wes$genus[k] %in% phyt_diet_genus_wes$Genus){
          
          benthos_grazing_diet_wes$Diet_coef_phyt[k] <- median(phyt_diet_genus_wes$mean[which(phyt_diet_genus_wes$Genus %in% benthos_grazing_diet_wes$genus[k])])
        }
        
        else if (benthos_grazing_diet_wes$family.y[k] %in% phyt_diet_family_wes$family){
          
          benthos_grazing_diet_wes$Diet_coef_phyt[k] <- median(phyt_diet_family_wes$mean[which(phyt_diet_family_wes$family %in% benthos_grazing_diet_wes$family.y[k])])
          #benthos_grazing_diet_wes$Diet_coef_MPB[k] <- NA
        }
        
        else if (benthos_grazing_diet_wes$ordo.y[k] %in% phyt_diet_ordo_wes$ordo){
          
          benthos_grazing_diet_wes$Diet_coef_phyt[k] <- median(phyt_diet_ordo_wes$mean[which(phyt_diet_ordo_wes$ordo %in% benthos_grazing_diet_wes$ordo.y[k])])
          #benthos_grazing_diet_wes$Diet_coef_MPB[k] <- NA
          
        }
        else if (benthos_grazing_diet_wes$genus[k] %in% phyt_diet_ordo_wes$ordo){
          
          benthos_grazing_diet_wes$Diet_coef_phyt[k] <- median(phyt_diet_ordo_wes$mean[which(phyt_diet_ordo_wes$ordo %in% benthos_grazing_diet_wes$genus[k])])
          #benthos_grazing_diet_oos$Diet_coef_MPB[k] <- NA
          
        }
        else if (benthos_grazing_diet_wes$family.y[k] %in% phyt_diet_ordo_wes$ordo){
          
          benthos_grazing_diet_wes$Diet_coef_phyt[k] <- median(phyt_diet_ordo_wes$mean[which(phyt_diet_ordo_wes$ordo %in% benthos_grazing_diet_wes$family.y[k])])
          #benthos_grazing_diet_oos$Diet_coef_MPB[k] <- NA
          
        }
      }
    }
    
    
    benthos_grazing_diet_calc <- rbind(benthos_grazing_diet_oos,benthos_grazing_diet_wes)
    alldata_grazing_phyt <- benthos_grazing_diet_calc
    
    diet_coef_phyt_non_bivalves <- diet_coef_phyt[!(diet_coef_phyt$Genus %in% c("Macoma","Cerastoderma")),]
    diet_coef_phyt_bivalves <- diet_coef_phyt[which(diet_coef_phyt$Genus %in% c("Macoma","Cerastoderma")),]
    
    median_non_bivalves <- median(diet_coef_phyt_non_bivalves$Diet_coef_phyt)
    median_bivalves <- median(diet_coef_phyt_bivalves$Diet_coef_phyt)
     
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Actiniaria")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Aphelochaeta")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Bivalvia")] <- median_bivalves #waarde cerastoderma
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Bodotriidae")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Brachyura")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Capitellidae")] <- 0.24
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Carcinus")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Cardiidae")] <- median_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Crangon")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$family.y == "Bodotriidae")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Ensis")] <- median_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Exogone")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Gammaridae")] <- 0.23
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Gammaridea")] <- 0.23
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Insecta")] <- 0
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Malacostraca")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Manayunkia")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$family.y == "Spionidae")] <- 0.12
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Mya")] <- median_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Mytilus")] <- median_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Mysida")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Mysida")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Nemertea")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Notomastus")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Oligochaeta")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Owenia")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Phyllodocidae")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Platyhelminthes")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Retusa")] <- median_non_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Tellinoidea")] <-  median_bivalves
    alldata_grazing_phyt$Diet_coef_phyt[which(alldata_grazing_phyt$genus == "Unidentified")] <-  0
    
    alldata_grazing_phyt$P.B_d_check <- (alldata_grazing_phyt$mean_body_weight*0.018+2.4)/183
    
    alldata_grazing_phyt$RB_check <- ((alldata_grazing_phyt$mean_body_weight/2)^-0.156)*0.0174
    
    alldata_grazing_phyt$grazing_phyt <- NA
    alldata_grazing_phyt$grazing_phyt <- ((alldata_grazing_phyt$P.B_d_check*(alldata_grazing_phyt$AFDWmg_m2/2)*alldata_grazing_phyt$Diet_coef_phyt)/(alldata_grazing_phyt$NGE*alldata_grazing_phyt$AsE))
    alldata_grazing_phyt$respiration_phyt <-  (alldata_grazing_phyt$RB_check*alldata_grazing_phyt$Diet_coef_phyt*(alldata_grazing_phyt$AFDWmg_m2/2))/((1-alldata_grazing_phyt$NGE)*alldata_grazing_phyt$AsE)

    
    Gebied <- data.frame(cbind(c("VI","DO","RA","PA","HE","MO","MI","WA","RI"),c("OOS","OOS","OOS","WES","WES","WES","WES","WES","WES")))
    Gebied$X1 <- as.character(Gebied$X1)
    Gebied$X2 <- as.character(Gebied$X2)
    colnames(Gebied)[1] <- "sites.y"
    
    #colnames(alldata_grazing_phyt)[37] <- "sites"
    
    alldata_grazing_phyt_geb <- merge(alldata_grazing_phyt,Gebied,by="sites.y")
    
    save(alldata_grazing_phyt_geb,file="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_phytoplankton_V8.RData")
    rm(list = ls())
    
        
        
        
        #grazing pressure terrestrial OM  #############################################################################################################################
        
        
    
    diet_coef_sources <-  read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/diet_composition_with_d15N_fractionation_3PLFA_markers_incl_SD.csv")
    
    
    diet_coef_sources$Genus <- gsub("Mediomastus", "Heteromastus", diet_coef_sources$Genus)
    
    diet_coef_sources$sites <- toupper(substr(diet_coef_sources$Site,1,2))
    
    diet_coef_sources$Source <- gsub(".Terrestrial_material", "Terrestrial_material", diet_coef_sources$Source)
    
   # diet_coef_sources <- diet_coef_sources[,c(2,3,12,13,14,15)]
    
    diet_coef_ter <- diet_coef_sources[diet_coef_sources$Source == "Terrestrial_material",]
    
    colnames(diet_coef_ter)[3] <- "Diet_coef_ter"
    
    diet_coef_ter$genus_site_elev <- paste(diet_coef_ter$Genus,diet_coef_ter$sites,diet_coef_ter$Elevation)
    
    #add family and ordo to diet coefficient dataset
    
    benthos_stations_incl_family <- read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Benthos/benthos_data_plots2015_historic_complete.csv",sep=",")
    
    benthos_stations_incl_family$genus <- as.character(benthos_stations_incl_family$genus)
    benthos_stations_incl_family$family <- as.character(benthos_stations_incl_family$family)
    benthos_stations_incl_family$ordo <- as.character(benthos_stations_incl_family$ordo)
    
    diet_coef_ter$family <- NA
    diet_coef_ter$ordo <- NA
    
    for (e in 1:length(diet_coef_ter$Genus)){
      
      diet_coef_ter$family[e] <- benthos_stations_incl_family$family[which(benthos_stations_incl_family$genus %in% diet_coef_ter$Genus[e])[1]]
      diet_coef_ter$ordo[e] <- benthos_stations_incl_family$ordo[which(benthos_stations_incl_family$genus %in% diet_coef_ter$Genus[e])[1]]
      
      if (diet_coef_ter$Genus[e] == "Spionidae"){
        diet_coef_ter$family[e] <- "Spionidae"
        diet_coef_ter$ordo[e] <- "Spionida"
        
      }
      
      else if (diet_coef_ter$Genus[e] == "Tharyx"){
        diet_coef_ter$family[e] <- "Cirratulidae"
        diet_coef_ter$ordo[e] <- "Terebellida"
        
      }
      
    }
    
    #diet_coef_ter <- diet_coef_ter[,c(2,4,5,6,7,8,9)]
    
    
    #macrofauna data      
    
    load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_plots_najaar_easwes_sep_coef.RData")
    
    #make variable to merge data with diet coefficient data
    benthos_grazing_diet_no_na$sites <- toupper(substr(benthos_grazing_diet_no_na$Site,1,2))
    benthos_grazing_diet_no_na$elevation <- NA
    benthos_grazing_diet_no_na$elevation[benthos_grazing_diet_no_na$RASTERVALU > 0] <- "hoog"
    benthos_grazing_diet_no_na$elevation[benthos_grazing_diet_no_na$RASTERVALU <= 0] <- "laag"
    
    benthos_grazing_diet_no_na$genus_site_elev <- paste(benthos_grazing_diet_no_na$genus,benthos_grazing_diet_no_na$sites,benthos_grazing_diet_no_na$elevation)
    
    
    
    #merge diet coefficients and macrofauna data
    alldata_grazing_ter <- merge(diet_coef_ter,benthos_grazing_diet_no_na,by="genus_site_elev", all.y=TRUE)
    
    #to the unknown values we add an average value per species. for missing species we add a value from the same family or ordo. otherwise the median of the dataset
    #voor bathyporeia, cyathura en corophium een gemiddelde per estuarium toepassen (phyt)
    require(plyr)
    
    alldata_grazing_ter_no_na <- alldata_grazing_ter[!is.na(alldata_grazing_ter$Diet_coef_ter),]
    
    
  
    site_estuary <- data.frame(cbind(c("VI","RA","DO","HE","MI","MO","PA","WA","RI"),c("OOS","OOS","OOS","WES","WES","WES","WES","WES","WES")))
    colnames(site_estuary)[1] <- "sites"
    colnames(site_estuary)[2] <- "estuary"
    
    diet_coef_ter_es <- merge(diet_coef_ter,site_estuary,by="sites")
    diet_coef_ter_oos <- diet_coef_ter_es[diet_coef_ter_es$estuary == "OOS",]
    diet_coef_ter_wes <- diet_coef_ter_es[diet_coef_ter_es$estuary == "WES",]
    
    
    #Add ter coefficient
    
    benthos_grazing_diet <- alldata_grazing_ter
    
    benthos_grazing_diet_oos <- benthos_grazing_diet[benthos_grazing_diet$estuary == "OOS",]
    benthos_grazing_diet_wes <- benthos_grazing_diet[benthos_grazing_diet$estuary == "WES",]
    
    ter_diet_genus <- ddply(diet_coef_ter_es,~Genus,summarise,mean=median(Diet_coef_ter),sd=sd(Diet_coef_ter))
    ter_diet_family <- ddply(diet_coef_ter_es,~family,summarise,mean=median(Diet_coef_ter),sd=sd(Diet_coef_ter))
    ter_diet_ordo <- ddply(diet_coef_ter_es,~ordo,summarise,mean=median(Diet_coef_ter),sd=sd(Diet_coef_ter))
    
    
    
    ter_diet_genus_oos <- ter_diet_genus
    ter_diet_family_oos <- ter_diet_family
    ter_diet_ordo_oos <- ter_diet_ordo
    
    ter_diet_genus_wes <- ter_diet_genus
    ter_diet_family_wes <- ter_diet_family
    ter_diet_ordo_wes <- ter_diet_ordo
    
    for (k in 1:length(benthos_grazing_diet_wes$Diet_coef_ter)){
      
      if (is.na(benthos_grazing_diet_wes$Diet_coef_ter[k])){
        
        if (benthos_grazing_diet_wes$genus[k] %in% ter_diet_genus$Genus){
          
          benthos_grazing_diet_wes$Diet_coef_ter[k] <- ter_diet_genus$mean[which(ter_diet_genus$Genus %in% benthos_grazing_diet_wes$genus[k])]
        }
        
        else if (benthos_grazing_diet_wes$family.y[k] %in% ter_diet_family$family){
          
          benthos_grazing_diet_wes$Diet_coef_ter[k] <- ter_diet_family$mean[which(ter_diet_family$family %in% benthos_grazing_diet_wes$family.y[k])]
          
        }
        
        else if (benthos_grazing_diet_wes$ordo.y[k] %in% ter_diet_ordo$ordo){
          
          benthos_grazing_diet_wes$Diet_coef_ter[k] <- ter_diet_ordo$mean[which(ter_diet_ordo$ordo %in% benthos_grazing_diet_wes$ordo.y[k])]
          
        }
      }
    }
    
    #average_dataset <-  median(diet_coef_ter$Diet_coef_ter)
    diet_coef_ter_non_bivalves <- diet_coef_ter_es[!(diet_coef_ter_es$Genus %in% c("Macoma","Cerastoderma")),]
    diet_coef_ter_bivalves <- diet_coef_ter_es[which(diet_coef_ter_es$Genus %in% c("Macoma","Cerastoderma")),]
    
    median_non_bivalves <- median(diet_coef_ter_non_bivalves$Diet_coef_ter)
    median_bivalves <- median(diet_coef_ter_bivalves$Diet_coef_ter)
    
    
   
    alldata_grazing_ter_wes <- benthos_grazing_diet_wes
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Actiniaria")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Aphelochaeta")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Bivalvia")] <- median_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Bodotriidae")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Brachyura")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Carcinus")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Cardiidae")] <- median_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Crangon")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$family.x == "Bodotriidae")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Ensis")] <- median_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Exogone")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Insecta")] <- 0
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Malacostraca")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Manayunkia")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Mya")] <- median_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Mytilus")] <-median_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Mysida")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Mysida")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Nemertea")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Notomastus")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Oligochaeta")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Owenia")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Phyllodocidae")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Platyhelminthes")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Retusa")] <- median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Tellinoidea")] <-  median_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Unidentified")] <-  0
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Pygospio")] <-  median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Polydora")] <-  median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Gammaridea")] <-  median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Streblospio")] <-  median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Spiophanes")] <-  median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Marenzelleria")] <-  median_non_bivalves
        alldata_grazing_ter_wes$Diet_coef_ter[which(alldata_grazing_ter_wes$genus == "Capitellidae")] <-  median_non_bivalves
        
        alldata_grazing_ter_wes$P.B_d_check <- (alldata_grazing_ter_wes$mean_body_weight*0.018+2.4)/183
        
        alldata_grazing_ter_wes$RB_check <- ((alldata_grazing_ter_wes$mean_body_weight/2)^-0.156)*0.0174
        
        
        alldata_grazing_ter_wes$grazing_ter <- NA
        alldata_grazing_ter_wes$grazing_ter <- ((alldata_grazing_ter_wes$P.B_d_check*(alldata_grazing_ter_wes$AFDWmg_m2/2)*alldata_grazing_ter_wes$Diet_coef_ter)/(alldata_grazing_ter_wes$NGE*alldata_grazing_ter_wes$AsE))
        alldata_grazing_ter_wes$respiration_ter <-  (alldata_grazing_ter_wes$RB_check*alldata_grazing_ter_wes$Diet_coef_ter*(alldata_grazing_ter_wes$AFDWmg_m2/2))/((1-alldata_grazing_ter_wes$NGE)*alldata_grazing_ter_wes$AsE)
        
        
        save(alldata_grazing_ter_wes,file="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_terOM_V8.RData")
        rm(list = ls())
        #calculate grazing MPB   #########################################################################################################################################
        
       
        diet_coef_sources <-  read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Isotope_data_for_siar_package/MixSIAR_input_files/diet_composition_with_d15N_fractionation_3PLFA_markers_incl_SD.csv")
        
        
        diet_coef_sources$Genus <- gsub("Mediomastus", "Heteromastus", diet_coef_sources$Genus)
        
        diet_coef_sources$sites <- toupper(substr(diet_coef_sources$Site,1,2))
        
        diet_coef_sources$Source <- gsub(".Benthic_algae", "Benthic_algae", diet_coef_sources$Source)
        
        #diet_coef_sources <- diet_coef_sources[,c(2,3,12,13,14,15)]
        
        diet_coef_mpb <- diet_coef_sources[diet_coef_sources$Source == "Benthic_algae",]
        
        #colnames(diet_coef_mpb)[2] <- "Diet_coef_mpb"
        colnames(diet_coef_mpb)[3] <- "Diet_coef_mpb"
        
        diet_coef_mpb$genus_site_elev <- paste(diet_coef_mpb$Genus,diet_coef_mpb$sites,diet_coef_mpb$Elevation)
        
        #add family and ordo to diet coefficient dataset
        
        benthos_stations_incl_family <- read.csv("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/Datasets/Sampling_campaign_may/Benthos/benthos_data_plots2015_historic_complete.csv",sep=",")
        
        benthos_stations_incl_family$genus <- as.character(benthos_stations_incl_family$genus)
        benthos_stations_incl_family$family <- as.character(benthos_stations_incl_family$family)
        benthos_stations_incl_family$ordo <- as.character(benthos_stations_incl_family$ordo)
        
        diet_coef_mpb$family <- NA
        diet_coef_mpb$ordo <- NA
        
        for (e in 1:length(diet_coef_mpb$Genus)){
          
          diet_coef_mpb$family[e] <- benthos_stations_incl_family$family[which(benthos_stations_incl_family$genus %in% diet_coef_mpb$Genus[e])[1]]
          diet_coef_mpb$ordo[e] <- benthos_stations_incl_family$ordo[which(benthos_stations_incl_family$genus %in% diet_coef_mpb$Genus[e])[1]]
          
          if (diet_coef_mpb$Genus[e] == "Spionidae"){
            diet_coef_mpb$family[e] <- "Spionidae"
            diet_coef_mpb$ordo[e] <- "Spionida"
            
          }
          
          else if (diet_coef_mpb$Genus[e] == "Tharyx"){
            diet_coef_mpb$family[e] <- "Cirratulidae"
            diet_coef_mpb$ordo[e] <- "Terebellida"
            
          }
          
        }
        
      #  diet_coef_mpb <- diet_coef_mpb[,c(2,4,5,6,7,8,9)]
        
        
        #macrofauna data      
        
        load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_plots_najaar_easwes_sep_coef.RData")
        
        #make variable to merge data with diet coefficient data
        benthos_grazing_diet_no_na$sites <- toupper(substr(benthos_grazing_diet_no_na$Site,1,2))
        benthos_grazing_diet_no_na$elevation <- NA
        benthos_grazing_diet_no_na$elevation[benthos_grazing_diet_no_na$RASTERVALU > 0] <- "hoog"
        benthos_grazing_diet_no_na$elevation[benthos_grazing_diet_no_na$RASTERVALU <= 0] <- "laag"
        
        benthos_grazing_diet_no_na$genus_site_elev <- paste(benthos_grazing_diet_no_na$genus,benthos_grazing_diet_no_na$sites,benthos_grazing_diet_no_na$elevation)
        
        #merge diet coefficients and macrofauna data
        benthos_grazing_diet_no_na <- benthos_grazing_diet_no_na[,c(-3)]
        benthos_grazing_diet_no_na$genus_site_elev <- gsub("hoog","High",benthos_grazing_diet_no_na$genus_site_elev)
        benthos_grazing_diet_no_na$genus_site_elev <- gsub("laag","Low",benthos_grazing_diet_no_na$genus_site_elev)
        alldata_grazing_mpb <- merge(diet_coef_mpb,benthos_grazing_diet_no_na,by="genus_site_elev", all.y=TRUE)
        
        #to the unknown values we add an average value per species. for missing species we add a value from the same family or ordo. otherwise the median of the dataset
        #voor bathyporeia, cyathura en corophium een gemiddelde per estuarium toepassen (phyt)
        require(plyr)
        
       alldata_grazing_mpb_no_na <- alldata_grazing_mpb[!is.na(alldata_grazing_mpb$Diet_coef_mpb),]
        
        
        
      #  average_dataset <-  median(diet_coef_mpb$Diet_coef_mpb)
        
        
        
        site_estuary <- data.frame(cbind(c("VI","RA","DO","HE","MI","MO","PA","WA","RI"),c("OOS","OOS","OOS","WES","WES","WES","WES","WES","WES")))
        colnames(site_estuary)[1] <- "sites"
        colnames(site_estuary)[2] <- "estuary"
        
        diet_coef_mpb_es <- merge(diet_coef_mpb,site_estuary,by="sites")
        diet_coef_mpb_es_oos <- diet_coef_mpb_es[diet_coef_mpb_es$estuary == "OOS",]
        diet_coef_mpb_es_wes <- diet_coef_mpb_es[diet_coef_mpb_es$estuary == "WES",]
        
        
        #Add phyt coefficient
        
        benthos_grazing_diet <- alldata_grazing_mpb
        
        benthos_grazing_diet_oos <- benthos_grazing_diet[benthos_grazing_diet$estuary == "OOS",]
        benthos_grazing_diet_wes <- benthos_grazing_diet[benthos_grazing_diet$estuary == "WES",]
        
        mpb_diet_genus <- ddply(diet_coef_mpb_es,~Genus,summarise,mean=median(Diet_coef_mpb),sd=sd(Diet_coef_mpb))
        mpb_diet_family <- ddply(diet_coef_mpb_es,~family,summarise,mean=median(Diet_coef_mpb),sd=sd(Diet_coef_mpb))
        mpb_diet_ordo <- ddply(diet_coef_mpb_es,~ordo,summarise,mean=median(Diet_coef_mpb),sd=sd(Diet_coef_mpb))
        
        mpb_diet_genus_oos <- mpb_diet_genus
        mpb_diet_family_oos <- mpb_diet_family
        mpb_diet_ordo_oos <- mpb_diet_ordo
        
        mpb_diet_genus_wes <- mpb_diet_genus
        mpb_diet_family_wes <- mpb_diet_family
        mpb_diet_ordo_wes <- mpb_diet_ordo
        
        #voor macoma en corophium een gemiddelde per estuarium toepassen (mpb)
        #genus
       # mpb_diet_genus_oos$mean[mpb_diet_genus_oos$Genus == "Bathyporeia"] <- median(diet_coef_mpb_es_oos$Diet_coef_mpb[diet_coef_mpb_es_oos$Genus == "Bathyporeia"],na.rm=TRUE)
        mpb_diet_genus_oos$mean[mpb_diet_genus_oos$Genus == "Macoma"] <- median(diet_coef_mpb_es_oos$Diet_coef_mpb[diet_coef_mpb_es_oos$Genus == "Macoma"],na.rm=TRUE)
        mpb_diet_genus_oos$mean[mpb_diet_genus_oos$Genus == "Corophium"] <- median(diet_coef_mpb_es_oos$Diet_coef_mpb[diet_coef_mpb_es_oos$Genus == "Corophium"],na.rm=TRUE)
        
        #mpb_diet_genus_wes$mean[mpb_diet_genus_wes$Genus == "Bathyporeia"] <- median(diet_coef_mpb_es_wes$Diet_coef_mpb[diet_coef_mpb_es_wes$Genus == "Bathyporeia"],na.rm=TRUE)
        mpb_diet_genus_wes$mean[mpb_diet_genus_wes$Genus == "Macoma"] <- median(diet_coef_mpb_es_wes$Diet_coef_mpb[diet_coef_mpb_es_wes$Genus == "Macoma"],na.rm=TRUE)
        mpb_diet_genus_wes$mean[mpb_diet_genus_wes$Genus == "Corophium"] <- median(diet_coef_mpb_es_wes$Diet_coef_mpb[diet_coef_mpb_es_wes$Genus == "Corophium"],na.rm=TRUE)
        
        
        #family
        #mpb_diet_family_oos$mean[mpb_diet_family_oos$family == "Pontoporeiidae"] <- median(diet_coef_mpb_es_oos$Diet_coef_mpb[diet_coef_mpb_es_oos$family == "Pontoporeiidae"],na.rm=TRUE)
        mpb_diet_family_oos$mean[mpb_diet_family_oos$family == "Tellinidae"] <- median(diet_coef_mpb_es_oos$Diet_coef_mpb[diet_coef_mpb_es_oos$family == "Tellinidae"],na.rm=TRUE)
        mpb_diet_family_oos$mean[mpb_diet_family_oos$family == "Corophiidae"] <- median(diet_coef_mpb_es_oos$Diet_coef_mpb[diet_coef_mpb_es_oos$family == "Corophiidae"],na.rm=TRUE)
        
        #mpb_diet_family_wes$mean[mpb_diet_family_wes$family == "Pontoporeiidae"] <- median(diet_coef_mpb_es_wes$Diet_coef_mpb[diet_coef_mpb_es_wes$family == "Pontoporeiidae"],na.rm=TRUE)
        mpb_diet_family_wes$mean[mpb_diet_family_wes$family == "Tellinidae"] <- median(diet_coef_mpb_es_wes$Diet_coef_mpb[diet_coef_mpb_es_wes$family == "Tellinidae"],na.rm=TRUE)
        mpb_diet_family_wes$mean[mpb_diet_family_wes$family == "Corophiidae"] <- median(diet_coef_mpb_es_wes$Diet_coef_mpb[diet_coef_mpb_es_wes$family == "Corophiidae"],na.rm=TRUE)
        
        #ordo
       # mpb_diet_ordo_oos$mean[mpb_diet_ordo_oos$ordo == "Pontoporeiidae"] <- median(diet_coef_mpb_es_oos$Diet_coef_mpb[diet_coef_mpb_es_oos$ordo == "Amphipoda"],na.rm=TRUE)
        mpb_diet_ordo_oos$mean[mpb_diet_ordo_oos$ordo == "Tellinidae"] <- median(diet_coef_mpb_es_oos$Diet_coef_mpb[diet_coef_mpb_es_oos$ordo == "Cardiida"],na.rm=TRUE)
        mpb_diet_ordo_oos$mean[mpb_diet_ordo_oos$ordo == "Corophiidae"] <- median(diet_coef_mpb_es_oos$Diet_coef_mpb[diet_coef_mpb_es_oos$ordo == "Amphipoda"],na.rm=TRUE)
        
        #mpb_diet_ordo_wes$mean[mpb_diet_ordo_wes$ordo == "Pontoporeiidae"] <- median(diet_coef_mpb_es_wes$Diet_coef_mpb[diet_coef_mpb_es_wes$ordo == "Amphipoda"],na.rm=TRUE)
        mpb_diet_ordo_wes$mean[mpb_diet_ordo_wes$ordo == "Tellinidae"] <- median(diet_coef_mpb_es_wes$Diet_coef_mpb[diet_coef_mpb_es_wes$ordo == "Cardiida"],na.rm=TRUE)
        mpb_diet_ordo_wes$mean[mpb_diet_ordo_wes$ordo == "Corophiidae"] <- median(diet_coef_mpb_es_wes$Diet_coef_mpb[diet_coef_mpb_es_wes$ordo == "Amphipoda"],na.rm=TRUE)
        
        #
        #OOS
        
        mpb_diet_ordo_oos <- mpb_diet_ordo_oos[!is.na(mpb_diet_ordo_oos$ordo),]
        mpb_diet_family_oos <- mpb_diet_family_oos[!is.na(mpb_diet_family_oos$family),]
        mpb_diet_genus_oos <- mpb_diet_genus_oos[!is.na(mpb_diet_genus_oos$Genus),]
        
        
        for (k in 1:length(benthos_grazing_diet_oos$Diet_coef_mpb)){
          
          
          if (is.na(benthos_grazing_diet_oos$Diet_coef_mpb[k])){
            
            if (benthos_grazing_diet_oos$genus[k] %in% mpb_diet_genus_oos$Genus){
              
              benthos_grazing_diet_oos$Diet_coef_mpb[k] <- median(mpb_diet_genus_oos$mean[which(mpb_diet_genus_oos$Genus %in% benthos_grazing_diet_oos$genus[k])])
            }
            
            else if (benthos_grazing_diet_oos$family.y[k] %in% mpb_diet_family_oos$family){
              
              benthos_grazing_diet_oos$Diet_coef_mpb[k] <- median(mpb_diet_family_oos$mean[which(mpb_diet_family_oos$family %in% benthos_grazing_diet_oos$family.y[k])])
              #benthos_grazing_diet_oos$Diet_coef_MPB[k] <- NA
            }
            
            else if (benthos_grazing_diet_oos$ordo.y[k] %in% mpb_diet_ordo_oos$ordo){
              
              benthos_grazing_diet_oos$Diet_coef_mpb[k] <- median(mpb_diet_ordo_oos$mean[which(mpb_diet_ordo_oos$ordo %in% benthos_grazing_diet_oos$ordo.y[k])])
              #benthos_grazing_diet_oos$Diet_coef_MPB[k] <- NA
              
            }
            
    
          }
        }
        
        
        
        
        #WES
        
        for (k in 1:length(benthos_grazing_diet_wes$Diet_coef_mpb)){
          
          
          if (is.na(benthos_grazing_diet_wes$Diet_coef_mpb[k])){
            
            if (benthos_grazing_diet_wes$genus[k] %in% mpb_diet_genus_wes$Genus){
              
              benthos_grazing_diet_wes$Diet_coef_mpb[k] <- median(mpb_diet_genus_wes$mean[which(mpb_diet_genus_wes$Genus %in% benthos_grazing_diet_wes$genus[k])])
            }
            
            else if (benthos_grazing_diet_wes$family.y[k] %in% mpb_diet_family_wes$family){
              
              benthos_grazing_diet_wes$Diet_coef_mpb[k] <- median(mpb_diet_family_wes$mean[which(mpb_diet_family_wes$family %in% benthos_grazing_diet_wes$family.y[k])])
              #benthos_grazing_diet_wes$Diet_coef_MPB[k] <- NA
            }
            
            else if (benthos_grazing_diet_wes$ordo.y[k] %in% mpb_diet_ordo_wes$ordo){
              
              benthos_grazing_diet_wes$Diet_coef_mpb[k] <- median(mpb_diet_ordo_wes$mean[which(mpb_diet_ordo_wes$ordo %in% benthos_grazing_diet_wes$ordo.y[k])])
              #benthos_grazing_diet_wes$Diet_coef_MPB[k] <- NA
              
            }
       
          }
        }
        
        
        benthos_grazing_diet_calc <- rbind(benthos_grazing_diet_oos,benthos_grazing_diet_wes)
        
        
        test <- unique(benthos_grazing_diet_calc$genus[which(is.na(benthos_grazing_diet_calc$Diet_coef_mpb))])
        
        diet_coef_mpb_non_bivalves <- diet_coef_mpb_es[!(diet_coef_mpb_es$Genus %in% c("Macoma","Cerastoderma")),]
        diet_coef_mpb_bivalves <- diet_coef_mpb_es[which(diet_coef_mpb_es$Genus %in% c("Macoma","Cerastoderma")),]
        
        median_non_bivalves <- median(diet_coef_mpb_non_bivalves$Diet_coef_mpb)
        median_bivalves <- median(diet_coef_mpb_bivalves$Diet_coef_mpb)
        
        
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Actiniaria")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Bivalvia")] <- median_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Brachyura")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Capitellidae")] <- 0.79
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Carcinus")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Cardiidae")] <- median_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Crangon")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Exogone")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Gammaridae")] <- 0.85
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Mysida")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Mytilus")] <- median_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Notomastus")] <- 0.79
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Oligochaeta")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Owenia")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Phyllodocidae")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Platyhelminthes")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Retusa")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Tellinoidea")] <- median_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Unidentified")] <- 0
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Bodotriidae")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Cumopsis")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Ensis")] <- median_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Gammaridea")] <- 0.85
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Insecta")] <- 0
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Malacostraca")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Manayunkia")] <- median_non_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Mya")] <- median_bivalves
        benthos_grazing_diet_calc$Diet_coef_mpb[which(benthos_grazing_diet_calc$genus == "Nemertea")] <- median_non_bivalves
        
        benthos_grazing_diet_calc$grazing_mpb <- NA
        
        benthos_grazing_diet_calc$P.B_d_check <- (benthos_grazing_diet_calc$mean_body_weight*0.018+2.4)/183
        
        plot(benthos_grazing_diet_calc$P.B_d_check,benthos_grazing_diet_calc$P.B_d)
        benthos_grazing_diet_calc$RB_check <- ((benthos_grazing_diet_calc$mean_body_weight/2)^-0.156)*0.0174
        benthos_grazing_diet_calc$grazing_mpb <- ((benthos_grazing_diet_calc$P.B_d_check*(benthos_grazing_diet_calc$AFDWmg_m2/2)*benthos_grazing_diet_calc$Diet_coef_mpb)/(benthos_grazing_diet_calc$NGE*benthos_grazing_diet_calc$AsE))
        benthos_grazing_diet_calc$respiration <- (benthos_grazing_diet_calc$RB_check*benthos_grazing_diet_calc$Diet_coef_mpb*(benthos_grazing_diet_calc$AFDWmg_m2/2))/((1-benthos_grazing_diet_calc$NGE)*benthos_grazing_diet_calc$AsE)
        
        plot(benthos_grazing_diet_calc$respiration,benthos_grazing_diet_calc$grazing_mpb)
        
        Gebied <- data.frame(cbind(c("VI","DO","RA","PA","HE","MO","MI","WA","RI"),c("OOS","OOS","OOS","WES","WES","WES","WES","WES","WES")))
        Gebied$X1 <- as.character(Gebied$X1)
        Gebied$X2 <- as.character(Gebied$X2)
        colnames(Gebied)[1] <- "site"
        
        #colnames(alldata_grazing_phyt)[37] <- "sites"
        
        alldata_grazing_mpb_geb <- merge(benthos_grazing_diet_calc,Gebied,by="site")
        
        write.table(alldata_grazing_mpb_geb,file="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_MPB_new_coef_new_grazing_V8.csv")
        
        save(alldata_grazing_mpb_geb,file="//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_mpb_new_coef_V8.RData")
     
         load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_mpb_new_coef_V8.RData")
        load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_terOM_V8.RData")
        load("//ZEUS/eds/users/tisjad/Grazing_campaign_2015/RData/grazing_phytoplankton_V8.RData")
        
        #make data frame for oos and wes separately. 
        
        
        #split phyt and MPB dataset in OOS and WES dataset
        
        
        #alldata_grazing_mpb_geb <- merge(benthos_grazing_diet_no_na,Gebied,by="sites")
        
        #alldata_grazing_mac_oos <- alldata_grazing_mac_geb[which(alldata_grazing_mac_geb$X2 =="OOS"),]
        
        alldata_grazing_phyt_oos <- alldata_grazing_phyt_geb[which(alldata_grazing_phyt_geb$X2 == "OOS"),]
        alldata_grazing_phyt_wes <- alldata_grazing_phyt_geb[which(alldata_grazing_phyt_geb$X2 == "WES"),]
        
        alldata_grazing_mpb_oos <- alldata_grazing_mpb_geb[which(alldata_grazing_mpb_geb$X2 == "OOS"),]
        alldata_grazing_mpb_wes <- alldata_grazing_mpb_geb[which(alldata_grazing_mpb_geb$X2 == "WES"),]
        
        
        #calculate grazing pressure per plot
        
        #plots zijn RDX en RDY
        
        hist(alldata_grazing_mpb_geb$AFDWmg_m2)
        
        require(doBy)
        
        
        
       grazing_mpb_oos_plot <- summaryBy(respiration ~ REC_ID +Site.y , data = alldata_grazing_mpb_oos,
                  FUN = c(sum) )
        
       
       
       grazing_mpb_wes_plot <- summaryBy(respiration ~ REC_ID +Site.y, data = alldata_grazing_mpb_wes,
                                         FUN = c(sum) )
       
       
       
       grazing_phyt_wes_plot <- summaryBy(respiration_phyt ~ REC_ID +Site.y, data = alldata_grazing_phyt_wes,
                                         FUN = c(sum) )
       
       
       
       grazing_phyt_oos_plot <- summaryBy(respiration_phyt ~ REC_ID +Site.y, data = alldata_grazing_phyt_oos,
                                          FUN = c(sum) )
       
       
       alldata_grazing_ter_wes <- alldata_grazing_ter_wes[!is.na(alldata_grazing_ter_wes$grazing_ter),]
       
       grazing_ter_wes_plot <- summaryBy(respiration_ter ~ REC_ID +Site.y, data = alldata_grazing_ter_wes,
                                         FUN = c(sum) )
       
       
        #calculate median grazing pressure per food source per site
        
        
       
       grazing_ter_loc <- ddply(grazing_ter_wes_plot,~Site.y,summarise,mean=median(respiration_ter.sum),sd=mad(respiration_ter.sum))
       
       
       grazing_phyt_loc_oos <- ddply(grazing_phyt_oos_plot,~Site.y,summarise,mean=median(respiration_phyt.sum),sd=mad(respiration_phyt.sum))
       
       grazing_phyt_loc_wes <- ddply(grazing_phyt_wes_plot,~Site.y,summarise,mean=median(respiration_phyt.sum),sd=mad(respiration_phyt.sum))
       
       grazing_MPB_loc_oos <- ddply(grazing_mpb_oos_plot,~Site.y,summarise,mean=median(respiration.sum),sd=mad(respiration.sum))
       
       grazing_MPB_loc_wes <- ddply(grazing_mpb_wes_plot,~Site.y,summarise,mean=median(respiration.sum),sd=mad(respiration.sum))
       
       
        
       
       #PLOT GRAZING PRESSURE AS BOXPLOT
       colnames(grazing_phyt_oos_plot)[3] <- "respiration.sum"
       
       alldata_oos <- data.frame(cbind(rbind(grazing_phyt_oos_plot,grazing_mpb_oos_plot),
                        c(rep("Phytoplankton",length(grazing_phyt_oos_plot$REC_ID)),rep("Microphytobenthos",length(grazing_mpb_oos_plot$REC_ID)))))
       
       colnames(alldata_oos)[4] <- "Source"
       
       colnames(grazing_ter_wes_plot)[3] <- "respiration.sum"
       colnames(grazing_phyt_wes_plot)[3] <- "respiration.sum"

       alldata_wes <- data.frame(cbind(rbind(grazing_ter_wes_plot,grazing_phyt_wes_plot,grazing_mpb_wes_plot),
                                       c(rep("Terrestrial organic material",length(grazing_ter_wes_plot$REC_ID)),rep("Phytoplankton",length(grazing_phyt_wes_plot$REC_ID)),rep("Microphytobenthos",length(grazing_mpb_wes_plot$REC_ID)))))
       
       colnames(alldata_wes)[4] <- "Source"
       
       
       
       #oos
       require(ggplot2)
       require(gridExtra)
       require(cowplot)
       
       alldata_oos$Site.y <- gsub("Rattenkaai","Rattekaai",alldata_oos$Site.y)
       
       
       #diet_species_plot_oos <- diet_species_plot_oos[-75,]
       plot_WES <- ggplot(aes(y = respiration.sum, x = Site.y, fill = Source), data = alldata_wes) + geom_boxplot() +scale_fill_manual(values=c("lightcoral","mediumseagreen","wheat"),labels=c("Microphytobenthos","Phytoplankton","Terrestrial OM"))+
       ylab(expression(paste("Grazing pressure - respiration based (mg C m"^"-2"," d"^"-1",")")))+ coord_cartesian(ylim = c(0, 4000))
       plot_WES_title <- plot_WES + ggtitle("Westerschelde")
       plot_WES_title<- plot_WES+theme(axis.text=element_text(size=18,face="bold"),
                                       axis.title.x=element_text(size=18),axis.title.y=element_text(size=15,face="bold"))+theme(legend.text=element_text(size=18))+theme(legend.title=element_text(size=18,face="bold"))+ ggtitle("Westerschelde")
       
       
       plot_EAS <- ggplot(aes(y = respiration.sum, x = Site.y, fill = Source), data = alldata_oos) +geom_boxplot() +scale_fill_manual(values=c("lightcoral","mediumseagreen"),limits=c("Microphytobenthos","Phytoplankton"),labels=c("Microphytobenthos","Phytoplankton")) +  ylab(expression(paste("  ")))+ coord_cartesian(ylim = c(0, 4000))
       
      
       
       plot_EAS_title <- plot_EAS + ggtitle("Oosterschelde")
       plot_EAS_title <- plot_EAS+theme(axis.text=element_text(size=18,face="bold"),
                                        axis.title.x=element_text(size=18),axis.title.y=element_text(size=22,face="bold"))+theme(legend.text=element_text(size=18))+theme(legend.title=element_text(size=18,face="bold"))+ ggtitle("Oosterschelde")
       
       #---------------------------------
       plot1 <-plot_EAS_title
       plot2 <- plot_WES_title
       
       plot_grid(plot1, plot2, align = "v", nrow = 2) + theme(plot.margin = unit(c(2,2,2,2), "cm")) 
       
       
       
       #make data frame in correct format. one column for each site
        #one row for each food source. fill in the total grazing pressure on that food source at each location
        
        plot_grazing_sources_oos <- data.frame(rbind(grazing_MPB_loc_oos$mean,grazing_phyt_loc_oos$mean))
       
        colnames(plot_grazing_sources_oos) <- grazing_MPB_loc_oos$Site
        
        plot_grazing_sources_wes <- data.frame(rbind(grazing_MPB_loc_wes$mean,grazing_phyt_loc_wes$mean,grazing_ter_loc$mean))
        colnames(plot_grazing_sources_wes) <- grazing_ter_loc$Site
        
        barplot(as.matrix(plot_grazing_sources_oos),ylim=c(0,3000),col=c("gray30","gray65"),main="Oosterschelde",ylab=expression(paste("Grazing pressure - carbon uptake based (mg C m"^"-2"," d"^"-1",")")))
        legend("topleft", 
               legend = c("Microphytobenthos", "Phytoplankton"), 
               fill = c("gray30","gray65"))
        
        barplot(as.matrix(plot_grazing_sources_wes),ylim=c(0,2700),main="Westerschelde",ylab=expression(paste("Grazing pressure - carbon uptake based (mg C m"^"-2"," d"^"-1",")")))
        legend("topright", 
               legend = c("Microphytobenthos", "Phytoplankton","Terrestrial organic material"), 
               fill = c("gray30","gray65","gray93"))
        
        
        
        
        
        
        
        
        #PLOT GRAASDRUK PER HOOGTE-CATEGORIE
        
        #make column with location category
        
        alldata_grazing_ter_wes$loc_category <- paste(alldata_grazing_ter_wes$site,alldata_grazing_ter_wes$elevation.y)
        alldata_grazing_phyt_geb$loc_category <- paste(alldata_grazing_phyt_geb$site,alldata_grazing_phyt_geb$elevation.y)
        alldata_grazing_mpb_geb$loc_category <- paste(alldata_grazing_mpb_geb$site,alldata_grazing_mpb_geb$elevation.y)
        
        alldata_grazing_phyt_oos <- alldata_grazing_phyt_geb[which(alldata_grazing_phyt_geb$X2 == "OOS"),]
        alldata_grazing_phyt_wes <- alldata_grazing_phyt_geb[which(alldata_grazing_phyt_geb$X2 == "WES"),]
        
        alldata_grazing_mpb_oos <- alldata_grazing_mpb_geb[which(alldata_grazing_mpb_geb$X2 == "OOS"),]
        alldata_grazing_mpb_wes <- alldata_grazing_mpb_geb[which(alldata_grazing_mpb_geb$X2 == "WES"),]
        
        
        alldata_grazing_mpb_oos$plot <- paste(alldata_grazing_mpb_oos$RD_X,alldata_grazing_mpb_oos$RD_Y)
        
        grazing_mpb_oos_plot <- summaryBy(grazing ~ plot +loc_category, data = alldata_grazing_mpb_oos,
                                          FUN = c(sum) )
        
        alldata_grazing_mpb_wes$plot <- paste(alldata_grazing_mpb_wes$RD_X,alldata_grazing_mpb_wes$RD_Y)
        
        grazing_mpb_wes_plot <- summaryBy(grazing ~ plot +loc_category, data = alldata_grazing_mpb_wes,
                                          FUN = c(sum) )
        
        alldata_grazing_phyt_wes$plot <- paste(alldata_grazing_phyt_wes$RD_X,alldata_grazing_phyt_wes$RD_Y)
        
        grazing_phyt_wes_plot <- summaryBy(grazing_phyt ~ plot +loc_category, data = alldata_grazing_phyt_wes,
                                           FUN = c(sum) )
        
        alldata_grazing_phyt_oos$plot <- paste(alldata_grazing_phyt_oos$RD_X,alldata_grazing_phyt_oos$RD_Y)
        
        grazing_phyt_oos_plot <- summaryBy(grazing_phyt ~ plot +loc_category, data = alldata_grazing_phyt_oos,
                                           FUN = c(sum) )
        
        alldata_grazing_ter_wes$plot <- paste(alldata_grazing_ter_wes$RD_X,alldata_grazing_ter_wes$RD_Y)
        
                grazing_ter_wes_plot <- summaryBy(grazing_ter ~ plot +loc_category, data = alldata_grazing_ter_wes,
                                          FUN = c(sum) )
                
        
        
                grazing_mpb_oos_plot_cat<-  grazing_mpb_oos_plot[as.numeric(ave(grazing_mpb_oos_plot$loc_category, grazing_mpb_oos_plot$loc_category, FUN=length)) >= 3, ]
                grazing_mpb_wes_plot_cat<-  grazing_mpb_wes_plot[as.numeric(ave(grazing_mpb_wes_plot$loc_category, grazing_mpb_wes_plot$loc_category, FUN=length)) >= 3, ]
                grazing_phyt_wes_plot_cat <-  grazing_phyt_wes_plot[as.numeric(ave(grazing_phyt_wes_plot$loc_category, grazing_phyt_wes_plot$loc_category, FUN=length)) >= 3, ]
                grazing_phyt_oos_plot_cat<-  grazing_phyt_oos_plot[as.numeric(ave(grazing_phyt_oos_plot$loc_category, grazing_phyt_oos_plot$loc_category, FUN=length)) >= 3, ]
                grazing_ter_wes_plot_cat<-  grazing_ter_wes_plot[as.numeric(ave(grazing_ter_wes_plot$loc_category, grazing_ter_wes_plot$loc_category, FUN=length)) >= 3, ]
                
                
boxplot(grazing.sum ~ loc_category,grazing_mpb_oos_plot_cat)
boxplot(grazing.sum ~ loc_category,grazing_mpb_wes_plot_cat)
boxplot(grazing_phyt.sum ~ loc_category,grazing_phyt_wes_plot_cat)
boxplot(grazing_phyt.sum ~ loc_category,grazing_phyt_oos_plot_cat)
boxplot(grazing_ter.sum ~ loc_category,grazing_ter_wes_plot_cat)





        
        
        
        
        
        
        
        
      
